#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python2
#-----------------------------------------------------------------------------
Name		:	epydoc
Version		:	3.0.1
Release		:	16.2.0.rel%{?dist}
Summary		:	Automatic API documentation generation tool for Python
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://sourceforge.net/projects/epydoc/files/epydoc

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}

BuildArch	:	noarch

Requires	:	%{__python}
#-----------------------------------------------------------------------------
%description
'%{name}' is a tool for generating API documentation for
Python modules, based on their docstrings. For an example
of epydoc's output, see the API documentation for epydoc
itself (html, pdf). A lightweight markup language called
epytext can be used to format docstrings, and to add
information about specific fields, such as parameters and
instance variables. Epydoc also understands docstrings
written in reStructuredText, Javadoc, and plaintext. 

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	./setup.py					\
	build						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__python}						\
	./setup.py					\
	install						\
	--skip-build					\
	--prefix=%{_prefix}				\
	--root=%{buildroot}				\

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt
%{_bindir}/%{name}
%{_bindir}/%{name}gui
%{_bindir}/apirst2html.py
%{python2_sitelib}/%{name}/*.py*
%{python2_sitelib}/%{name}/docwriter/*.py*
%{python2_sitelib}/%{name}/markup/*.py*
%{python2_sitelib}/%{name}/test/*.py*
%{python2_sitelib}/%{name}-*egg-info
#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
